<?php

declare(strict_types=1);

namespace App\Framework\CommandBus\Middleware;

use App\Framework\CommandBus\Middleware;

final readonly class DatabaseTransactionMiddleware implements Middleware
{
    public function __construct()
    {
    }

    public function handle(object $command, callable $next): mixed
    {
        #var_dump('DatabaseTransactionMiddleware');

        // Wenn die Validierung erfolgreich ist, wird der nächste Schritt aufgerufen
        return $next($command);
    }
}
